Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/config.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -105,259 +357,259 @@
 void config::Edit()
 {
-	char choice;
-
-	do {
-		cout << Verbose(0) << "===========EDIT CONFIGURATION============================" << endl;
-		cout << Verbose(0) << " A - mainname (prefix for all runtime files)" << endl;
-		cout << Verbose(0) << " B - Default path (for runtime files)" << endl;
-		cout << Verbose(0) << " C - Path of pseudopotential files" << endl;
-		cout << Verbose(0) << " D - Number of coefficient sharing processes" << endl;
-		cout << Verbose(0) << " E - Number of wave function sharing processes" << endl;
-		cout << Verbose(0) << " F - 0: Don't output density for OpenDX, 1: do" << endl;
-		cout << Verbose(0) << " G - 0: Don't output physical data, 1: do" << endl;
-		cout << Verbose(0) << " H - 0: Don't output densities of each unperturbed orbital for OpenDX, 1: do" << endl;
-		cout << Verbose(0) << " I - 0: Don't output current density for OpenDX, 1: do" << endl;
-		cout << Verbose(0) << " J - 0: Don't do the full current calculation, 1: do" << endl;
-		cout << Verbose(0) << " K - 0: Don't do perturbation calculation to obtain susceptibility and shielding, 1: do" << endl;
-		cout << Verbose(0) << " L - 0: Wannier centres as calculated, 1: common centre for all, 2: unite centres according to spread, 3: cell centre, 4: shifted to nearest grid point" << endl;
-		cout << Verbose(0) << " M - Absolute begin of unphysical sawtooth transfer for position operator within cell" << endl;
-		cout << Verbose(0) << " N - (0,1,2) x,y,z-plane to do two-dimensional current vector cut" << endl;
-		cout << Verbose(0) << " O - Absolute position along vector cut axis for cut plane" << endl;
-		cout << Verbose(0) << " P - Additional Gram-Schmidt-Orthonormalization to stabilize numerics" << endl;
-		cout << Verbose(0) << " Q - Initial integer value of random number generator" << endl;
-		cout << Verbose(0) << " R - for perturbation 0, for structure optimization defines upper limit of iterations" << endl;
-		cout << Verbose(0) << " T - Output visual after ...th step" << endl;
-		cout << Verbose(0) << " U - Output source densities of wave functions after ...th step" << endl;
-		cout << Verbose(0) << " X - minimization iterations per wave function, if unsure leave at default value 0" << endl;
-		cout << Verbose(0) << " Y - tolerance value for total spread in iterative Jacobi diagonalization" << endl;
-		cout << Verbose(0) << " Z - Maximum number of minimization iterations" << endl;
-		cout << Verbose(0) << " a - Relative change in total energy to stop min. iteration" << endl;
-		cout << Verbose(0) << " b - Relative change in kinetic energy to stop min. iteration" << endl;
-		cout << Verbose(0) << " c - Check stop conditions every ..th step during min. iteration" << endl;
-		cout << Verbose(0) << " e - Maximum number of minimization iterations during initial level" << endl;
-		cout << Verbose(0) << " f - Relative change in total energy to stop min. iteration during initial level" << endl;
-		cout << Verbose(0) << " g - Relative change in kinetic energy to stop min. iteration during initial level" << endl;
-		cout << Verbose(0) << " h - Check stop conditions every ..th step during min. iteration during initial level" << endl;
-//		cout << Verbose(0) << " j - six lower diagonal entries of matrix, defining the unit cell" << endl;
-		cout << Verbose(0) << " k - Energy cutoff of plane wave basis in Hartree" << endl;
-		cout << Verbose(0) << " l - Maximum number of levels in multi-level-ansatz" << endl;
-		cout << Verbose(0) << " m - Factor by which grid nodes increase between standard and upper level" << endl;
-		cout << Verbose(0) << " n - 0: Don't use RiemannTensor, 1: Do" << endl;
-		cout << Verbose(0) << " o - Factor by which grid nodes increase between Riemann and standard(?) level" << endl;
-		cout << Verbose(0) << " p - Number of Riemann levels" << endl;
-		cout << Verbose(0) << " r - 0: Don't Use RiemannTensor, 1: Do" << endl;
-		cout << Verbose(0) << " s - 0: Doubly occupied orbitals, 1: Up-/Down-Orbitals" << endl;
-		cout << Verbose(0) << " t - Number of orbitals (depends pn SpinType)" << endl;
-		cout << Verbose(0) << " u - Number of SpinUp orbitals (depends on SpinType)" << endl;
-		cout << Verbose(0) << " v - Number of SpinDown orbitals (depends on SpinType)" << endl;
-		cout << Verbose(0) << " w - Number of additional, unoccupied orbitals" << endl;
-		cout << Verbose(0) << " x - radial cutoff for ewald summation in Bohrradii" << endl;
-		cout << Verbose(0) << " y - 0: Don't do structure optimization beforehand, 1: Do" << endl;
-		cout << Verbose(0) << " z - 0: Units are in Bohr radii, 1: units are in Aengstrom" << endl;
-		cout << Verbose(0) << " i - 0: Coordinates given in file are absolute, 1: ... are relative to unit cell" << endl;
-		cout << Verbose(0) << "=========================================================" << endl;
-		cout << Verbose(0) << "INPUT: ";
-		cin >> choice;
-
-		switch (choice) {
-				case 'A': // mainname
-					cout << Verbose(0) << "Old: " << config::mainname << "\t new: ";
-					cin >> config::mainname;
-					break;
-				case 'B': // defaultpath
-					cout << Verbose(0) << "Old: " << config::defaultpath << "\t new: ";
-					cin >> config::defaultpath;
-					break;
-				case 'C': // pseudopotpath
-					cout << Verbose(0) << "Old: " << config::pseudopotpath << "\t new: ";
-					cin >> config::pseudopotpath;
-					break;
-
-				case 'D': // ProcPEGamma
-					cout << Verbose(0) << "Old: " << config::ProcPEGamma << "\t new: ";
-					cin >> config::ProcPEGamma;
-					break;
-				case 'E': // ProcPEPsi
-					cout << Verbose(0) << "Old: " << config::ProcPEPsi << "\t new: ";
-					cin >> config::ProcPEPsi;
-					break;
-				case 'F': // DoOutVis
-					cout << Verbose(0) << "Old: " << config::DoOutVis << "\t new: ";
-					cin >> config::DoOutVis;
-					break;
-				case 'G': // DoOutMes
-					cout << Verbose(0) << "Old: " << config::DoOutMes << "\t new: ";
-					cin >> config::DoOutMes;
-					break;
-				case 'H': // DoOutOrbitals
-					cout << Verbose(0) << "Old: " << config::DoOutOrbitals << "\t new: ";
-					cin >> config::DoOutOrbitals;
-					break;
-				case 'I': // DoOutCurrent
-					cout << Verbose(0) << "Old: " << config::DoOutCurrent << "\t new: ";
-					cin >> config::DoOutCurrent;
-					break;
-				case 'J': // DoFullCurrent
-					cout << Verbose(0) << "Old: " << config::DoFullCurrent << "\t new: ";
-					cin >> config::DoFullCurrent;
-					break;
-				case 'K': // DoPerturbation
-					cout << Verbose(0) << "Old: " << config::DoPerturbation << "\t new: ";
-					cin >> config::DoPerturbation;
-					break;
-				case 'L': // CommonWannier
-					cout << Verbose(0) << "Old: " << config::CommonWannier << "\t new: ";
-					cin >> config::CommonWannier;
-					break;
-				case 'M': // SawtoothStart
-					cout << Verbose(0) << "Old: " << config::SawtoothStart << "\t new: ";
-					cin >> config::SawtoothStart;
-					break;
-				case 'N': // VectorPlane
-					cout << Verbose(0) << "Old: " << config::VectorPlane << "\t new: ";
-					cin >> config::VectorPlane;
-					break;
-				case 'O': // VectorCut
-					cout << Verbose(0) << "Old: " << config::VectorCut << "\t new: ";
-					cin >> config::VectorCut;
-					break;
-				case 'P': // UseAddGramSch
-					cout << Verbose(0) << "Old: " << config::UseAddGramSch << "\t new: ";
-					cin >> config::UseAddGramSch;
-					break;
-				case 'Q': // Seed
-					cout << Verbose(0) << "Old: " << config::Seed << "\t new: ";
-					cin >> config::Seed;
-					break;
-
-				case 'R': // MaxOuterStep
-					cout << Verbose(0) << "Old: " << config::MaxOuterStep << "\t new: ";
-					cin >> config::MaxOuterStep;
-					break;
-				case 'T': // OutVisStep
-					cout << Verbose(0) << "Old: " << config::OutVisStep << "\t new: ";
-					cin >> config::OutVisStep;
-					break;
-				case 'U': // OutSrcStep
-					cout << Verbose(0) << "Old: " << config::OutSrcStep << "\t new: ";
-					cin >> config::OutSrcStep;
-					break;
-				case 'X': // MaxPsiStep
-					cout << Verbose(0) << "Old: " << config::MaxPsiStep << "\t new: ";
-					cin >> config::MaxPsiStep;
-					break;
-				case 'Y': // EpsWannier
-					cout << Verbose(0) << "Old: " << config::EpsWannier << "\t new: ";
-					cin >> config::EpsWannier;
-					break;
-
-				case 'Z': // MaxMinStep
-					cout << Verbose(0) << "Old: " << config::MaxMinStep << "\t new: ";
-					cin >> config::MaxMinStep;
-					break;
-				case 'a': // RelEpsTotalEnergy
-					cout << Verbose(0) << "Old: " << config::RelEpsTotalEnergy << "\t new: ";
-					cin >> config::RelEpsTotalEnergy;
-					break;
-				case 'b': // RelEpsKineticEnergy
-					cout << Verbose(0) << "Old: " << config::RelEpsKineticEnergy << "\t new: ";
-					cin >> config::RelEpsKineticEnergy;
-					break;
-				case 'c': // MaxMinStopStep
-					cout << Verbose(0) << "Old: " << config::MaxMinStopStep << "\t new: ";
-					cin >> config::MaxMinStopStep;
-					break;
-				case 'e': // MaxInitMinStep
-					cout << Verbose(0) << "Old: " << config::MaxInitMinStep << "\t new: ";
-					cin >> config::MaxInitMinStep;
-					break;
-				case 'f': // InitRelEpsTotalEnergy
-					cout << Verbose(0) << "Old: " << config::InitRelEpsTotalEnergy << "\t new: ";
-					cin >> config::InitRelEpsTotalEnergy;
-					break;
-				case 'g': // InitRelEpsKineticEnergy
-					cout << Verbose(0) << "Old: " << config::InitRelEpsKineticEnergy << "\t new: ";
-					cin >> config::InitRelEpsKineticEnergy;
-					break;
-				case 'h': // InitMaxMinStopStep
-					cout << Verbose(0) << "Old: " << config::InitMaxMinStopStep << "\t new: ";
-					cin >> config::InitMaxMinStopStep;
-					break;
-
-//				case 'j': // BoxLength
-//					cout << Verbose(0) << "enter lower triadiagonalo form of basis matrix" << endl << endl;
-//					for (int i=0;i<6;i++) {
-//						cout << Verbose(0) << "Cell size" << i << ": ";
-//						cin >> mol->cell_size[i];
-//					}
-//					break;
-
-				case 'k': // ECut
-					cout << Verbose(0) << "Old: " << config::ECut << "\t new: ";
-					cin >> config::ECut;
-					break;
-				case 'l': // MaxLevel
-					cout << Verbose(0) << "Old: " << config::MaxLevel << "\t new: ";
-					cin >> config::MaxLevel;
-					break;
-				case 'm': // RiemannTensor
-					cout << Verbose(0) << "Old: " << config::RiemannTensor << "\t new: ";
-					cin >> config::RiemannTensor;
-					break;
-				case 'n': // LevRFactor
-					cout << Verbose(0) << "Old: " << config::LevRFactor << "\t new: ";
-					cin >> config::LevRFactor;
-					break;
-				case 'o': // RiemannLevel
-					cout << Verbose(0) << "Old: " << config::RiemannLevel << "\t new: ";
-					cin >> config::RiemannLevel;
-					break;
-				case 'p': // Lev0Factor
-					cout << Verbose(0) << "Old: " << config::Lev0Factor << "\t new: ";
-					cin >> config::Lev0Factor;
-					break;
-				case 'r': // RTActualUse
-					cout << Verbose(0) << "Old: " << config::RTActualUse << "\t new: ";
-					cin >> config::RTActualUse;
-					break;
-				case 's': // PsiType
-					cout << Verbose(0) << "Old: " << config::PsiType << "\t new: ";
-					cin >> config::PsiType;
-					break;
-				case 't': // MaxPsiDouble
-					cout << Verbose(0) << "Old: " << config::MaxPsiDouble << "\t new: ";
-					cin >> config::MaxPsiDouble;
-					break;
-				case 'u': // PsiMaxNoUp
-					cout << Verbose(0) << "Old: " << config::PsiMaxNoUp << "\t new: ";
-					cin >> config::PsiMaxNoUp;
-					break;
-				case 'v': // PsiMaxNoDown
-					cout << Verbose(0) << "Old: " << config::PsiMaxNoDown << "\t new: ";
-					cin >> config::PsiMaxNoDown;
-					break;
-				case 'w': // AddPsis
-					cout << Verbose(0) << "Old: " << config::AddPsis << "\t new: ";
-					cin >> config::AddPsis;
-					break;
-
-				case 'x': // RCut
-					cout << Verbose(0) << "Old: " << config::RCut << "\t new: ";
-					cin >> config::RCut;
-					break;
-				case 'y': // StructOpt
-					cout << Verbose(0) << "Old: " << config::StructOpt << "\t new: ";
-					cin >> config::StructOpt;
-					break;
-				case 'z': // IsAngstroem
-					cout << Verbose(0) << "Old: " << config::IsAngstroem << "\t new: ";
-					cin >> config::IsAngstroem;
-					break;
-				case 'i': // RelativeCoord
-					cout << Verbose(0) << "Old: " << config::RelativeCoord << "\t new: ";
-					cin >> config::RelativeCoord;
-					break;
-		};
-	} while (choice != 'q');
+  char choice;
+
+  do {
+    cout << Verbose(0) << "===========EDIT CONFIGURATION============================" << endl;
+    cout << Verbose(0) << " A - mainname (prefix for all runtime files)" << endl;
+    cout << Verbose(0) << " B - Default path (for runtime files)" << endl;
+    cout << Verbose(0) << " C - Path of pseudopotential files" << endl;
+    cout << Verbose(0) << " D - Number of coefficient sharing processes" << endl;
+    cout << Verbose(0) << " E - Number of wave function sharing processes" << endl;
+    cout << Verbose(0) << " F - 0: Don't output density for OpenDX, 1: do" << endl;
+    cout << Verbose(0) << " G - 0: Don't output physical data, 1: do" << endl;
+    cout << Verbose(0) << " H - 0: Don't output densities of each unperturbed orbital for OpenDX, 1: do" << endl;
+    cout << Verbose(0) << " I - 0: Don't output current density for OpenDX, 1: do" << endl;
+    cout << Verbose(0) << " J - 0: Don't do the full current calculation, 1: do" << endl;
+    cout << Verbose(0) << " K - 0: Don't do perturbation calculation to obtain susceptibility and shielding, 1: do" << endl;
+    cout << Verbose(0) << " L - 0: Wannier centres as calculated, 1: common centre for all, 2: unite centres according to spread, 3: cell centre, 4: shifted to nearest grid point" << endl;
+    cout << Verbose(0) << " M - Absolute begin of unphysical sawtooth transfer for position operator within cell" << endl;
+    cout << Verbose(0) << " N - (0,1,2) x,y,z-plane to do two-dimensional current vector cut" << endl;
+    cout << Verbose(0) << " O - Absolute position along vector cut axis for cut plane" << endl;
+    cout << Verbose(0) << " P - Additional Gram-Schmidt-Orthonormalization to stabilize numerics" << endl;
+    cout << Verbose(0) << " Q - Initial integer value of random number generator" << endl;
+    cout << Verbose(0) << " R - for perturbation 0, for structure optimization defines upper limit of iterations" << endl;
+    cout << Verbose(0) << " T - Output visual after ...th step" << endl;
+    cout << Verbose(0) << " U - Output source densities of wave functions after ...th step" << endl;
+    cout << Verbose(0) << " X - minimization iterations per wave function, if unsure leave at default value 0" << endl;
+    cout << Verbose(0) << " Y - tolerance value for total spread in iterative Jacobi diagonalization" << endl;
+    cout << Verbose(0) << " Z - Maximum number of minimization iterations" << endl;
+    cout << Verbose(0) << " a - Relative change in total energy to stop min. iteration" << endl;
+    cout << Verbose(0) << " b - Relative change in kinetic energy to stop min. iteration" << endl;
+    cout << Verbose(0) << " c - Check stop conditions every ..th step during min. iteration" << endl;
+    cout << Verbose(0) << " e - Maximum number of minimization iterations during initial level" << endl;
+    cout << Verbose(0) << " f - Relative change in total energy to stop min. iteration during initial level" << endl;
+    cout << Verbose(0) << " g - Relative change in kinetic energy to stop min. iteration during initial level" << endl;
+    cout << Verbose(0) << " h - Check stop conditions every ..th step during min. iteration during initial level" << endl;
+//    cout << Verbose(0) << " j - six lower diagonal entries of matrix, defining the unit cell" << endl;
+    cout << Verbose(0) << " k - Energy cutoff of plane wave basis in Hartree" << endl;
+    cout << Verbose(0) << " l - Maximum number of levels in multi-level-ansatz" << endl;
+    cout << Verbose(0) << " m - Factor by which grid nodes increase between standard and upper level" << endl;
+    cout << Verbose(0) << " n - 0: Don't use RiemannTensor, 1: Do" << endl;
+    cout << Verbose(0) << " o - Factor by which grid nodes increase between Riemann and standard(?) level" << endl;
+    cout << Verbose(0) << " p - Number of Riemann levels" << endl;
+    cout << Verbose(0) << " r - 0: Don't Use RiemannTensor, 1: Do" << endl;
+    cout << Verbose(0) << " s - 0: Doubly occupied orbitals, 1: Up-/Down-Orbitals" << endl;
+    cout << Verbose(0) << " t - Number of orbitals (depends pn SpinType)" << endl;
+    cout << Verbose(0) << " u - Number of SpinUp orbitals (depends on SpinType)" << endl;
+    cout << Verbose(0) << " v - Number of SpinDown orbitals (depends on SpinType)" << endl;
+    cout << Verbose(0) << " w - Number of additional, unoccupied orbitals" << endl;
+    cout << Verbose(0) << " x - radial cutoff for ewald summation in Bohrradii" << endl;
+    cout << Verbose(0) << " y - 0: Don't do structure optimization beforehand, 1: Do" << endl;
+    cout << Verbose(0) << " z - 0: Units are in Bohr radii, 1: units are in Aengstrom" << endl;
+    cout << Verbose(0) << " i - 0: Coordinates given in file are absolute, 1: ... are relative to unit cell" << endl;
+    cout << Verbose(0) << "=========================================================" << endl;
+    cout << Verbose(0) << "INPUT: ";
+    cin >> choice;
+
+    switch (choice) {
+        case 'A': // mainname
+          cout << Verbose(0) << "Old: " << config::mainname << "\t new: ";
+          cin >> config::mainname;
+          break;
+        case 'B': // defaultpath
+          cout << Verbose(0) << "Old: " << config::defaultpath << "\t new: ";
+          cin >> config::defaultpath;
+          break;
+        case 'C': // pseudopotpath
+          cout << Verbose(0) << "Old: " << config::pseudopotpath << "\t new: ";
+          cin >> config::pseudopotpath;
+          break;
+
+        case 'D': // ProcPEGamma
+          cout << Verbose(0) << "Old: " << config::ProcPEGamma << "\t new: ";
+          cin >> config::ProcPEGamma;
+          break;
+        case 'E': // ProcPEPsi
+          cout << Verbose(0) << "Old: " << config::ProcPEPsi << "\t new: ";
+          cin >> config::ProcPEPsi;
+          break;
+        case 'F': // DoOutVis
+          cout << Verbose(0) << "Old: " << config::DoOutVis << "\t new: ";
+          cin >> config::DoOutVis;
+          break;
+        case 'G': // DoOutMes
+          cout << Verbose(0) << "Old: " << config::DoOutMes << "\t new: ";
+          cin >> config::DoOutMes;
+          break;
+        case 'H': // DoOutOrbitals
+          cout << Verbose(0) << "Old: " << config::DoOutOrbitals << "\t new: ";
+          cin >> config::DoOutOrbitals;
+          break;
+        case 'I': // DoOutCurrent
+          cout << Verbose(0) << "Old: " << config::DoOutCurrent << "\t new: ";
+          cin >> config::DoOutCurrent;
+          break;
+        case 'J': // DoFullCurrent
+          cout << Verbose(0) << "Old: " << config::DoFullCurrent << "\t new: ";
+          cin >> config::DoFullCurrent;
+          break;
+        case 'K': // DoPerturbation
+          cout << Verbose(0) << "Old: " << config::DoPerturbation << "\t new: ";
+          cin >> config::DoPerturbation;
+          break;
+        case 'L': // CommonWannier
+          cout << Verbose(0) << "Old: " << config::CommonWannier << "\t new: ";
+          cin >> config::CommonWannier;
+          break;
+        case 'M': // SawtoothStart
+          cout << Verbose(0) << "Old: " << config::SawtoothStart << "\t new: ";
+          cin >> config::SawtoothStart;
+          break;
+        case 'N': // VectorPlane
+          cout << Verbose(0) << "Old: " << config::VectorPlane << "\t new: ";
+          cin >> config::VectorPlane;
+          break;
+        case 'O': // VectorCut
+          cout << Verbose(0) << "Old: " << config::VectorCut << "\t new: ";
+          cin >> config::VectorCut;
+          break;
+        case 'P': // UseAddGramSch
+          cout << Verbose(0) << "Old: " << config::UseAddGramSch << "\t new: ";
+          cin >> config::UseAddGramSch;
+          break;
+        case 'Q': // Seed
+          cout << Verbose(0) << "Old: " << config::Seed << "\t new: ";
+          cin >> config::Seed;
+          break;
+
+        case 'R': // MaxOuterStep
+          cout << Verbose(0) << "Old: " << config::MaxOuterStep << "\t new: ";
+          cin >> config::MaxOuterStep;
+          break;
+        case 'T': // OutVisStep
+          cout << Verbose(0) << "Old: " << config::OutVisStep << "\t new: ";
+          cin >> config::OutVisStep;
+          break;
+        case 'U': // OutSrcStep
+          cout << Verbose(0) << "Old: " << config::OutSrcStep << "\t new: ";
+          cin >> config::OutSrcStep;
+          break;
+        case 'X': // MaxPsiStep
+          cout << Verbose(0) << "Old: " << config::MaxPsiStep << "\t new: ";
+          cin >> config::MaxPsiStep;
+          break;
+        case 'Y': // EpsWannier
+          cout << Verbose(0) << "Old: " << config::EpsWannier << "\t new: ";
+          cin >> config::EpsWannier;
+          break;
+
+        case 'Z': // MaxMinStep
+          cout << Verbose(0) << "Old: " << config::MaxMinStep << "\t new: ";
+          cin >> config::MaxMinStep;
+          break;
+        case 'a': // RelEpsTotalEnergy
+          cout << Verbose(0) << "Old: " << config::RelEpsTotalEnergy << "\t new: ";
+          cin >> config::RelEpsTotalEnergy;
+          break;
+        case 'b': // RelEpsKineticEnergy
+          cout << Verbose(0) << "Old: " << config::RelEpsKineticEnergy << "\t new: ";
+          cin >> config::RelEpsKineticEnergy;
+          break;
+        case 'c': // MaxMinStopStep
+          cout << Verbose(0) << "Old: " << config::MaxMinStopStep << "\t new: ";
+          cin >> config::MaxMinStopStep;
+          break;
+        case 'e': // MaxInitMinStep
+          cout << Verbose(0) << "Old: " << config::MaxInitMinStep << "\t new: ";
+          cin >> config::MaxInitMinStep;
+          break;
+        case 'f': // InitRelEpsTotalEnergy
+          cout << Verbose(0) << "Old: " << config::InitRelEpsTotalEnergy << "\t new: ";
+          cin >> config::InitRelEpsTotalEnergy;
+          break;
+        case 'g': // InitRelEpsKineticEnergy
+          cout << Verbose(0) << "Old: " << config::InitRelEpsKineticEnergy << "\t new: ";
+          cin >> config::InitRelEpsKineticEnergy;
+          break;
+        case 'h': // InitMaxMinStopStep
+          cout << Verbose(0) << "Old: " << config::InitMaxMinStopStep << "\t new: ";
+          cin >> config::InitMaxMinStopStep;
+          break;
+
+//        case 'j': // BoxLength
+//          cout << Verbose(0) << "enter lower triadiagonalo form of basis matrix" << endl << endl;
+//          for (int i=0;i<6;i++) {
+//            cout << Verbose(0) << "Cell size" << i << ": ";
+//            cin >> mol->cell_size[i];
+//          }
+//          break;
+
+        case 'k': // ECut
+          cout << Verbose(0) << "Old: " << config::ECut << "\t new: ";
+          cin >> config::ECut;
+          break;
+        case 'l': // MaxLevel
+          cout << Verbose(0) << "Old: " << config::MaxLevel << "\t new: ";
+          cin >> config::MaxLevel;
+          break;
+        case 'm': // RiemannTensor
+          cout << Verbose(0) << "Old: " << config::RiemannTensor << "\t new: ";
+          cin >> config::RiemannTensor;
+          break;
+        case 'n': // LevRFactor
+          cout << Verbose(0) << "Old: " << config::LevRFactor << "\t new: ";
+          cin >> config::LevRFactor;
+          break;
+        case 'o': // RiemannLevel
+          cout << Verbose(0) << "Old: " << config::RiemannLevel << "\t new: ";
+          cin >> config::RiemannLevel;
+          break;
+        case 'p': // Lev0Factor
+          cout << Verbose(0) << "Old: " << config::Lev0Factor << "\t new: ";
+          cin >> config::Lev0Factor;
+          break;
+        case 'r': // RTActualUse
+          cout << Verbose(0) << "Old: " << config::RTActualUse << "\t new: ";
+          cin >> config::RTActualUse;
+          break;
+        case 's': // PsiType
+          cout << Verbose(0) << "Old: " << config::PsiType << "\t new: ";
+          cin >> config::PsiType;
+          break;
+        case 't': // MaxPsiDouble
+          cout << Verbose(0) << "Old: " << config::MaxPsiDouble << "\t new: ";
+          cin >> config::MaxPsiDouble;
+          break;
+        case 'u': // PsiMaxNoUp
+          cout << Verbose(0) << "Old: " << config::PsiMaxNoUp << "\t new: ";
+          cin >> config::PsiMaxNoUp;
+          break;
+        case 'v': // PsiMaxNoDown
+          cout << Verbose(0) << "Old: " << config::PsiMaxNoDown << "\t new: ";
+          cin >> config::PsiMaxNoDown;
+          break;
+        case 'w': // AddPsis
+          cout << Verbose(0) << "Old: " << config::AddPsis << "\t new: ";
+          cin >> config::AddPsis;
+          break;
+
+        case 'x': // RCut
+          cout << Verbose(0) << "Old: " << config::RCut << "\t new: ";
+          cin >> config::RCut;
+          break;
+        case 'y': // StructOpt
+          cout << Verbose(0) << "Old: " << config::StructOpt << "\t new: ";
+          cin >> config::StructOpt;
+          break;
+        case 'z': // IsAngstroem
+          cout << Verbose(0) << "Old: " << config::IsAngstroem << "\t new: ";
+          cin >> config::IsAngstroem;
+          break;
+        case 'i': // RelativeCoord
+          cout << Verbose(0) << "Old: " << config::RelativeCoord << "\t new: ";
+          cin >> config::RelativeCoord;
+          break;
+    };
+  } while (choice != 'q');
 };
 
@@ -370,19 +622,19 @@
 int config::TestSyntax(char *filename, periodentafel *periode, molecule *mol)
 {
-	int test;
-	ifstream file(filename);
-
-	// search file for keyword: ProcPEGamma (new syntax)
-	if (ParseForParameter(1,&file,"ProcPEGamma", 0, 1, 1, int_type, &test, 1, optional)) {
-		file.close();
-		return 1;
-	}
-	// search file for keyword: ProcsGammaPsi (old syntax)
-	if (ParseForParameter(1,&file,"ProcsGammaPsi", 0, 1, 1, int_type, &test, 1, optional)) {
-		file.close();
-		return 0;
-	}
-	file.close();
-	return -1;
+  int test;
+  ifstream file(filename);
+
+  // search file for keyword: ProcPEGamma (new syntax)
+  if (ParseForParameter(1,&file,"ProcPEGamma", 0, 1, 1, int_type, &test, 1, optional)) {
+    file.close();
+    return 1;
+  }
+  // search file for keyword: ProcsGammaPsi (old syntax)
+  if (ParseForParameter(1,&file,"ProcsGammaPsi", 0, 1, 1, int_type, &test, 1, optional)) {
+    file.close();
+    return 0;
+  }
+  file.close();
+  return -1;
 }
 
@@ -392,5 +644,5 @@
 bool config::GetIsAngstroem() const
 {
-	return (IsAngstroem == 1);
+  return (IsAngstroem == 1);
 };
 
@@ -400,5 +652,5 @@
 char * config::GetDefaultPath() const
 {
-	return defaultpath;
+  return defaultpath;
 };
 
@@ -409,5 +661,5 @@
 void config::SetDefaultPath(const char *path)
 {
-	strcpy(defaultpath, path);
+  strcpy(defaultpath, path);
 };
 
@@ -417,24 +669,24 @@
 void config::RetrieveConfigPathAndName(string filename)
 {
-	char *ptr = NULL;
-	char *buffer = new char[MAXSTRINGSIZE];
-	strncpy(buffer, filename.c_str(), MAXSTRINGSIZE);
-	int last = -1;
-	for(last=MAXSTRINGSIZE;last--;) {
-		if (buffer[last] == '/')
-			break;
-	}
-	if (last == -1) { // no path in front, set to local directory.
-		strcpy(configpath, "./");
-		ptr = buffer;
-	} else {
-		strncpy(configpath, buffer, last+1);
-		ptr = &buffer[last+1];
-		if (last < 254)
-			configpath[last+1]='\0';
-	}
-	strcpy(configname, ptr);
-	cout << "Found configpath: " << configpath << ", dir slash was found at " << last << ", config name is " << configname << "." << endl;
-	delete[](buffer);
+  char *ptr = NULL;
+  char *buffer = new char[MAXSTRINGSIZE];
+  strncpy(buffer, filename.c_str(), MAXSTRINGSIZE);
+  int last = -1;
+  for(last=MAXSTRINGSIZE;last--;) {
+    if (buffer[last] == '/')
+      break;
+  }
+  if (last == -1) { // no path in front, set to local directory.
+    strcpy(configpath, "./");
+    ptr = buffer;
+  } else {
+    strncpy(configpath, buffer, last+1);
+    ptr = &buffer[last+1];
+    if (last < 254)
+      configpath[last+1]='\0';
+  }
+  strcpy(configname, ptr);
+  cout << "Found configpath: " << configpath << ", dir slash was found at " << last << ", config name is " << configname << "." << endl;
+  delete[](buffer);
 };
 
